Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceKnowledgeBase

List Knowledge Base Documents

GET
/voice/knowledge-bases/{knowledgeBaseId}/documents

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Path Parameters

knowledgeBaseId*string
Formatuuid

Query Parameters

page?integer
Default1
Range1 <= value <= 9007199254740991
limit?integer
Default20
Range1 <= value <= 100
filters?

Response Body

application/json

curl -X GET "https://samva.app/api/v1/voice/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "knowledgeBaseId": "619a59ff-6d34-4e0c-9a58-4d2cf062eac9",
      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
      "name": "string",
      "type": "pdf",
      "s3Key": "string",
      "chunkCount": -9007199254740991,
      "status": "pending",
      "metadata": {
        "contentType": "string",
        "contentLength": -9007199254740991,
        "uploadedAt": "string",
        "contentHash": "string",
        "embeddingConfigHash": "string",
        "vectorCount": -9007199254740991,
        "property1": null,
        "property2": null
      },
      "errorMessage": "string",
      "processedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": -9007199254740991,
    "limit": -9007199254740991,
    "total": -9007199254740991,
    "totalPages": -9007199254740991
  }
}